%define ver_major 0.7

Name: gtksourceview
Version: %ver_major.0
Release: alt2

Summary: GtkSourceView text widget library
License: LGPL
Group: System/Libraries
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define intltool_ver 0.27.2
%define gtk_ver 2.2.4
%define libxml2_ver 2.5.6

BuildPreReq: intltool >= %intltool_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver

# Automatically added by buildreq on Wed Aug 27 2003
BuildRequires: freetype2-devel gcc-c++ gcc-g77 glib2-devel gtk-doc libart_lgpl-devel libatk-devel libexpat-devel libgnomeprint2-devel libgtk+2-devel libpango-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
GtkSourceView is a text widget that extends the standard gtk+ 2.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%package -n lib%name
Summary: GtkSourceView text widget library
Group: System/Libraries
Requires: libgtk+2 >= %gtk_ver
Requires: libxml2 >= %libxml2_ver

%description -n lib%name
GtkSourceView is a text widget that extends the standard gtk+ 2.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

This package contains shared GtkSourceView library.

%package -n lib%name-devel
Summary: Files to compile applications that use GtkSourceView
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libxml2-devel >= %libxml2_ver

%description -n lib%name-devel
This package contains the files required to develop applications against
the GtkSourceView library.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%configure --disable-static \
	 --disable-build-tests
	
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%find_lang %name-1.0

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name -f %name-1.0.lang
%_libdir/*.so.*
%_datadir/%name-1.0
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc HACKING MAINTAINERS TODO
%doc %_gtk_docdir/*

%changelog
* Tue Dec 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt2
- do not package .la files.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt2
- fixed buildreqs.

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Jul 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- 0.4.0

* Fri Jun 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Sat May 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Wed May 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- First build for Sisyphus.

